org.keycloak.admin.client.resource

## Interface UserStorageProviderResource

-     public interface UserStorageProviderResource

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `removeImportedUsers(String componentId)` Remove imported users
    `SynchronizationResultRepresentation` | `syncMapperData(String componentId, String mapperId, String direction)` REST invocation for initiating sync for an ldap mapper.
    `SynchronizationResultRepresentation` | `syncUsers(String componentId, String action)` If the provider supports synchronization, this will invoke it.
    `void` | `unlink(String componentId)` Unlink imported users from a storage provider

- - ### Method Detail

    - #### syncUsers

          @POST
           @Path(value="{componentId}/sync")
           @Produces(value="application/json")
          SynchronizationResultRepresentation syncUsers(@PathParam(value="componentId")
                                                                                                                                      String componentId,
                                                                                                                                      @QueryParam(value="action")
                                                                                                                                      String action)

      If the provider supports synchronization, this will invoke it. Action can be "triggerFullSync" or "triggerChangedUsersSync"
      Parameters:
        `componentId` -
        `action` -
      Returns:

    - #### removeImportedUsers

          @POST
           @Path(value="{componentId}/remove-imported-users")
           @Produces(value="application/json")
          void removeImportedUsers(@PathParam(value="componentId")
                                                                                                                                  String componentId)

      Remove imported users
      Parameters:
        `componentId` -

    - #### unlink

          @POST
           @Path(value="{componentId}/unlink-users")
           @Produces(value="application/json")
          void unlink(@PathParam(value="componentId")
                                                                                                            String componentId)

      Unlink imported users from a storage provider
      Parameters:
        `componentId` -

    - #### syncMapperData

          @POST
           @Path(value="{componentId}/mappers/{mapperId}/sync")
           @Produces(value="application/json")
          SynchronizationResultRepresentation syncMapperData(@PathParam(value="componentId")
                                                                                                                                                              String componentId,
                                                                                                                                                              @PathParam(value="mapperId")
                                                                                                                                                              String mapperId,
                                                                                                                                                              @QueryParam(value="direction")
                                                                                                                                                              String direction)

      REST invocation for initiating sync for an ldap mapper. This method may be moved in the future. Right now don't have a good place for it. direction is "fedToKeycloak" or "keycloakToFed"
      Parameters:
        `componentId` -
        `mapperId` -
        `direction` -
      Returns:

Copyright © 2020 JBoss by Red Hat. All rights reserved.